# nng_duration(5) Manual Page

## NAME

nng_duration - relative time in milliseconds

## SYNOPSIS

    #include <nng/nng.h>

    typedef int32_t nng_duration;

    #define NNG_DURATION_INFINITE (-1)
    #define NNG_DURATION_DEFAULT  (-2)
    #define NNG_DURATION_ZERO     (0)

## DESCRIPTION

An `nng_duration` is a relative time, measured in milliseconds. This type is most often used in conjunction with timers and timeouts.

A couple of special values have been set aside, and carry special meanings.

`NNG_DURATION_DEFAULT`

  Indicates a context-specific default value should be used.

`NNG_DURATION_INFINITE`

  Effectively an infinite duration; used most often to disable timeouts.

`NNG_DURATION_ZERO`

  Zero length duration; used to perform a single polling operation.

## SEE ALSO

nng_options(5), nng(7)